Skip to main content
PUT
/
v1
/
webhook
Create or update webhook config
curl --request PUT \
  --url https://api.pointset.io/v1/webhook \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "https://example.com/hooks/pointset",
  "rotate_secret": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "url": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>",
  "secret": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.pointset.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
url
string<uri>
required
Example:

"https://example.com/hooks/pointset"

rotate_secret
boolean

Rotate the signing secret. Triggers a new secret to be returned.

Response

Updated

id
string<uuid>
required
account_id
string<uuid>
required
url
string<uri>
required
created_at
string
required
updated_at
string
required
secret
string

Only returned on creation or when rotate_secret is true.